Package org.jdesktop.application

# Class ResourceMap.PropertyInjectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jdesktop.application.ResourceMap.PropertyInjectionException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ResourceMap`

public static class ResourceMap.PropertyInjectionException extends RuntimeException
Unchecked exception thrown by `ResourceMap.injectComponent(java.awt.Component)` and `ResourceMap.injectComponents(java.awt.Component)` when a property value specified by a resource can not be set.

See Also:
  - `ResourceMap.injectComponent(java.awt.Component)`
  - `ResourceMap.injectComponents(java.awt.Component)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PropertyInjectionException(String msg, String key, Component component, String propertyName)`
Constructs an instance of this class with some useful information about the failure.

## Method Summary

Modifier and Type
Method
Description
`Component`
`getComponent()`
Returns the component whose property could not be set
`String`
`getKey()`
Returns the the name of resource whose value was to be used to set the property
`String`
`getPropertyName()`
Returns the the name of property that could not be set

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyInjectionException

public PropertyInjectionException(String msg, String key, Component component, String propertyName)
Constructs an instance of this class with some useful information about the failure.

Parameters:
  `msg` - the detail message
  `key` - the name of the resource
  `component` - the component whose property couldn't be set
  `propertyName` - the name of the component property

## Method Details

### getKey

public String getKey()
Returns the the name of resource whose value was to be used to set the property

Returns:
  the resource name

### getComponent

public Component getComponent()
Returns the component whose property could not be set

Returns:
  the component

### getPropertyName

public String getPropertyName()
Returns the the name of property that could not be set

Returns:
  the property name